/**
*
* @file User.cfc
* @author Denard Springle ( denard.springle@gmail.com )
* @description I am a user bean used for storing user data
*
*/

component displayname="User" extends="BaseBean" accessors="true" {

	property name="userId" type="numeric" default="0" primary=true;
	property name="providerId" type="numeric" default="0";
	property name="username" type="string" default="";
	property name="password" type="string" default="";
	property name="firstName" type="string" default="";
	property name="lastName" type="string" default="";
	property name="phone" type="string" default="";
	property name="role" type="numeric" default="0";
	property name="isActive" type="boolean" default="false";

	public struct function getMemento() {

		local._User = {};

		local._User[ 'userId' ] = getUserId();
		local._User[ 'providerId' ] = getProviderId();
		local._User[ 'username' ] = getUsername();
		local._User[ 'password' ] = getPassword();
		local._User[ 'firstName' ] = getFirstName();
		local._User[ 'lastName' ] = getLastName();
		local._User[ 'phone' ] = getPhone();
		local._User[ 'role' ] = getRole();
		local._User[ 'isActive' ] = getIsActive();

		return local._User;
	}

}